snare_freq
	DB $A6,$95,$84
	DB $73,$62,$51 

vol_default
	DB 8,8,7,7,6,6,5,5,4,4,3,3
	DB 8,7,6,5,4,3
	;
	DB 8,7,6,5,4,3,3,3,4,4,5,5
	DB 8,7,6,5,4,3
	;
	DB $FF

Channel1
	DW pat_bass
	DW pat_bass
	;
	DW pat_bass_breakdown
	DW pat_bass_breakdown
	DW pat_bass_breakdown
	DW pat_bass_breakdown_fill
	;
	DW 0
	
Channel2
	DW pat_lead
	DW pat_lead
	;
	DW pat_quiet
	;
	DW pat_lead2
	DW pat_lead2
	;
	DW pat_quiet
	;
	DW 0
	;

LEN = $40

speed = 6

snr = $F2
sn = 28

pat_quiet
	DB $F0
	DB LEN+speed*12
	DB OFF,OFF,OFF,OFF
	DB END_MARK
	
pat_bass
	DB $F0,LEN+speed,C1,C1,C2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    G2,C3,E3
	DB     LEN+speed,C2
	;
	DB $F0,LEN+speed,C1,C1
	DB     LEN+2,    G2,C3,E3
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    C1,C2,E2,G2,C3,E3
	;
	;---
	DB $F0,LEN+speed,D1,D1,D2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    A2,D3,Fi3
	DB     LEN+speed,D2
	;
	DB $F0,LEN+speed,D1,D1
	DB     LEN+2,    A2,D3,Fi3
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    D1,D2,Fi2,A2,D3,Fi3
	;
	;---
	DB $F0,LEN+speed,F1,F1,F2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    C3,F3,A3
	DB     LEN+speed,F2
	;
	DB $F0,LEN+speed,F1,F1
	DB     LEN+2,    A2,C3,F3
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    F1,F2,A2,C3,F3,A3
	;
	;--
	DB $F0,LEN+speed,G1,G1,G2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    B2,D3,G3
	DB     LEN+speed,G2
	;
	DB $F0,LEN+speed,G1,G1
	DB     LEN+2,    B2,D3,G3
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    B2,D3,G3
	DB snr,LEN+speed,sn
	;
	DB END_MARK
	
pat_bass_breakdown
	DB $F0,LEN+speed,C1,C1,C2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    C3,G3,C3
	DB     LEN+speed,C2
	;
	DB $F0,LEN+speed,C1,C1
	DB     LEN+2,    C3,G3,C3
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    C3,G3,C3,G3,C3,G3
	;
	DB END_MARK
	
pat_bass_breakdown_fill
	DB $F0,LEN+speed,C1,C1,C2
	DB snr,LEN+speed,sn
	DB $F0,LEN+2,    C3,G3,C3
	DB     LEN+speed,C2
	;
	DB $F0,LEN+speed,C1,C1
	DB snr,LEN+speed,sn,sn,sn,sn
	;
	DB END_MARK
	
pat_arp
	DB $F3
	DB LEN+speed
	DB C4,OFF,G3,OFF,C4,OFF,G3,C4,OFF,OFF,G3,OFF,B3,OFF,G3,OFF
	DB C4,OFF,G3,OFF,C4,OFF,G3,C4,OFF,OFF,G3,OFF,B3,OFF,G3,OFF
	;
	DB A3,OFF,Fi3,OFF,A3,OFF,Fi3,A3,OFF,OFF,Fi3,OFF,D4,OFF,Fi3,OFF
	DB A3,OFF,Fi3,OFF,A3,OFF,Fi3,A3,OFF,OFF,Fi3,G3,A3,D4,A3,Fi3
	;
	DB A3,OFF,F3,OFF,A3,OFF,F3,A3,OFF,OFF,F3,OFF,C4,OFF,F3,OFF
	DB A3,OFF,F3,OFF,A3,OFF,F3,A3,OFF,OFF,F3,OFF,C4,OFF,F3,OFF
	;
	DB B3,OFF,G3,OFF,B3,OFF,G3,B3,OFF,OFF,G3,OFF,C4,OFF,G3,OFF
	;
	DB END_MARK
	
pat_arp_e1
	DB B3,OFF,G3,OFF,B3,OFF,G3,B3,OFF,OFF,G3,OFF,C4,OFF,G3,OFF
	;
	DB END_MARK
	
pat_arp_e2
	DB B3,OFF,G3,OFF,B3,OFF,G3,B3
	DB D4,C3,B3,A3,G3,F3,E3,D2
	;
	DB END_MARK
	
pat_arp_mid
	DB $F3
	DB LEN+speed*2
	DB C3,F3,A3,C4,F4,C4,A3,F3
	DB D3,G3,B3,D4,G4,D4,B3,G3
	DB C3,E3,G3,C4,E4,C4,G3,LEN+speed,E3,D3
	DB LEN+speed*2
	DB C3,E3,G3,C4,E4,C4,G3,E3
	;
	DB C3,F3,A3,C4,F4,C4,A3,F3
	DB D3,G3,B3,D4,G4,D4,B3,G3
	DB C3,E3,G3,C4,E4,C4,G3,LEN+speed,C4,E4
	DB LEN+speed*8
	DB OFF,OFF
	;
	DB END_MARK
	
pat_lead
	DB $F0
	DB LEN+1,C4,D4,E4,F4,LEN+speed*3-4,G4
	DB LEN+1,A3,B3,C4,D4,LEN+speed*3-4,E4
	DB LEN+1,F3,G3,A3,B3,LEN+speed*3-4,C4
	DB LEN+1,C3,D3,E3,F3,LEN+speed*3-4,G3
	;
	DB LEN+speed*1
	DB Fi3,Fi3,D3
	DB Fi3,Fi3,G3
	DB A3,A3,B3
	DB C4,C4,C4
	;
	DB LEN+1,D4,E4,F4,G4,LEN+speed*3-4,A4
	DB LEN+1,B3,C4,D4,E4,LEN+speed*3-4,F4
	DB LEN+1,F3,G3,A3,B3,LEN+speed*3-4,C4
	DB LEN+1,D3,E3,F3,G3,LEN+speed*3-4,A3
	DB LEN+speed*1
	DB G3,A3,B3
	DB A3,B3,C4
	DB B3,C4,D4
	DB C4,D4,E4
	;
	DB END_MARK
	
pat_mid
	DB $F0
	DB LEN+speed*8,OFF
	;
	DB LEN+speed*4,C4
	DB LEN+speed*1,D4,OFF
	DB LEN+speed*4,B3
	;
	DB LEN+speed*6,OFF
	;
	DB LEN+speed*4,B3
	DB LEN+speed*1,G3,OFF
	DB LEN+speed*4,C4 
	;
	DB LEN+speed*15,OFF,OFF
	;
	;---
	;
	DB LEN+speed*8,OFF
	;
	DB LEN+speed*4,C4
	DB LEN+speed*1,D4,OFF
	DB LEN+speed*4,B3
	;
	DB LEN+speed*6,OFF
	;
	DB LEN+speed*4,B3
	DB LEN+speed*1,G3,OFF
	DB LEN+speed*4,C4 
	;
	DB LEN+speed*6,OFF
	DB LEN+speed*8,OFF
	;
	DB SET_ARP,$C0
	DB $F4
	DB LEN+speed
	DB C5,G4,E4,C4
	DB G4,E4,C4,G3
	DB E4,C4,G3,E3
	DB C4,G3,E3,C3
	DB END_MARK
	
pat_lead2
	DB $F0
	DB LEN+speed*1
	DB E3, OFF,G3,E3, OFF,G3,E3, OFF,C4, G3,G3,OFF
	DB Fi3,OFF,A3,Fi3,OFF,A3,D3, E3, Fi3,G3,A3,B3
	DB F3, OFF,A3,F3, OFF,A3,F3, OFF,C4, A3,A3,OFF
	DB G3, OFF,B3,G3, OFF,B3,D4, C4, B3, A3,G3,F3
	;
	DB END_MARK
	
;[eof]